package test.com.philisense.www.controller.http.app;

import com.alibaba.fastjson.JSON;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;


import test.base.HttpUtilsForm;

import java.util.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.philisense.www.common.config.CommonConst;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.ResponseEntity;

public class TestProUserControllerWithHttpClientForApp  {




            @BeforeEach
            public void setUpTestDataWithinTransaction() {

            // set up test data within the transaction

            }

            @AfterEach
            public void tearDownWithinTransaction() {

            // execute "tear down" logic within the transaction

            }

            @Test
            @Disabled
            public void testProUserDeleteByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/delete?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserSelectByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/get?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserInsertForApp(){
            	
            	Map<String, Object> headerMap = new HashMap<String, Object>();
            	
            	headerMap.put("Content-Type", "application/json");
            	
            	
            	
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/insert";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }               
                
            }

            @Test
            @Disabled
            public void testProUserUpdateForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/update";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserDeleteByMapForApp(){
	        	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/deleteByMap";
	        	String charset = HttpUtilsForm.UTF8;
	        	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg
	            try {
	                //括号里的是前台发送的url连接
	                String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
	                System.out.println(body);                                                       
	            } catch (Exception e) {
	                e.printStackTrace();
	            } 
                
            }

            @Test
            @Disabled
            public void testProUserUpdateByMapForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/updateByMap";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProUserGetOneForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/getOne";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProUserGetAllForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/getAll";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserCountForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/count";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProUserQueryPageForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/queryPage";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserInsertBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();



                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg



                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg


                list.add(params);


               	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/insertBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }

            @Test
            @Disabled
            public void testProUserDeleteBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg

                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/deleteBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserUpdateBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg


                list.add(params);


                params = new HashMap<String, Object>();

                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("user_name","user_name");//用户名
                params.put("sex","sex");//性别
                params.put("user_name_cn","user_name_cn");//用户名称
                params.put("password","password");//密码
                params.put("enabled",0);//是否禁用
                params.put("is_system_user",0);//是否是系统用户
                params.put("creator_id","creator_id");//创建人
                params.put("dept_code","dept_code");//部门代码
                params.put("inner_dept_code","inner_dept_code");//内部部门代码
                params.put("org_code","org_code");//机构代码
                params.put("inner_org_code","inner_org_code");//内部机构代码
                params.put("memos","memos");//备注
                params.put("avatar","avatar");//头像图标路径
                params.put("id_card","id_card");//身份证号
                params.put("email","email");//邮箱
                params.put("phone","phone");//手机号
                params.put("landline","landline");//座机号
                params.put("dept","dept");//部门
                params.put("job","job");//职位
                params.put("work_addr","work_addr");//工作地点 01>总部飞利信大厦  选择楼层 02>非总部 选择省份
                params.put("floor","floor");//所在楼层
                params.put("inprovince","inprovince");//所在省份
                params.put("hiredate",new Date());//入职时间
                params.put("departure_time",new Date());//离职时间
                params.put("createTime",new Date());//创建时间
                params.put("org","org");//机构
                params.put("tags","tags");//标签
                params.put("country","country");//国家/地区
                params.put("profile","profile");//个人简介
                params.put("province","province");//省
                params.put("city","city");//市
                params.put("address","address");//街道地址
                params.put("deviceNum","deviceNum");//设备号
                params.put("openid","openid");//微信
                params.put("mpopenid","mpopenid");//微信公众号openid
                params.put("miniopenid","miniopenid");//微信小程序openid
                params.put("wxUnionID","wxUnionID");//微信UnionID
                params.put("taobao","taobao");//淘宝
                params.put("alipay","alipay");//支付宝
                params.put("dingding","dingding");//钉钉
                params.put("zindex","zindex");//索引
                params.put("empid","empid");// 门禁id
                params.put("empno","empno");//员工号
                params.put("wx_msg","wx_msg");//wx_msg
                params.put("email_msg","email_msg");//email_msg
                params.put("system_msg","system_msg");//system_msg


                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prouser/updateBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testexportForProUserForApp() throws IOException {
                    /*
                    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"prouser/export";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProUser.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testexportTemplateForProUserForApp() throws IOException {
                    /*
            	    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"prouser/exportTemplate";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    // 将下载下来的文件内容保存到本地
                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProUser.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testimportExcelForProUserForApp()  {
                /*
            	// 文件上传服务上传接口
                String url = CommonConst.APP_REST_SERVICE_PREFICX+"prouser/importExcel";
                // 待上传的文件（存在客户端本地磁盘）
                String filename = "客户用户表";
                // 将下载下来的文件内容保存到本地
                String targetPath = "path_xxx/"+filename+"_ProUser.xlsx";
                // 封装请求参数
                FileSystemResource resource = new FileSystemResource(new File(targetPath));
                MultiValueMap<String, Object> param = new LinkedMultiValueMap<>();
                param.add("file", resource);  //服务端MultipartFile uploadFile
                //param.add("param1", "test");   //服务端如果接受额外参数，可以传递


                // 发送请求并输出结果
                System.out.println("--- 开始上传文件 ---");
                String result = template.postForObject(url, param, String.class);
                System.out.println("--- 访问地址：" + result);
                */
            }

}
